# eric6.Preferences.ConfigurationPages.GraphicsPage

Module implementing the Printer configuration page.

### Global Attributes

None

### Classes

GraphicsPage | Class implementing the Printer configuration page.

### Functions

create | Module function to create the configuration page.

## GraphicsPage

Class implementing the Printer configuration page.

### Derived from

ConfigurationPageBase, Ui_GraphicsPage

### Class Attributes

None

### Class Methods

None

### Methods

GraphicsPage | Constructor
on_graphicsFontButton_clicked | Private method used to select the font for the graphics items.
polishPage | Public slot to perform some polishing actions.
save | Public slot to save the Printer configuration.

### Static Methods

None

#### GraphicsPage (Constructor)

GraphicsPage()

Constructor

#### GraphicsPage.on_graphicsFontButton_clicked

on_graphicsFontButton_clicked()

Private method used to select the font for the graphics items.

#### GraphicsPage.polishPage

polishPage()

Public slot to perform some polishing actions.

#### GraphicsPage.save

save()

Public slot to save the Printer configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up